<?php

declare(strict_types=1);

namespace VK\API\Methods;

use \VK\Core;
use \VK\API\Traits\Request;
use \VK\Robots\RobotAbstract;

class Message
{
    use Request;

    private const METHOD = 'messages.send';

    public static function post($from, int $to, string $message, int $trolling)
    {
        if (is_int($from)) {
            // Если получен идентификатор, а не экземпляр RobotAbstract

            // Поиск в регистре
            $from = Core::init()->get($from);
        }

        // Параметры
        $params = [
            'message'       => $message,
            'peer_id'       => $to,
            'access_token'  => $from->token,
            'v'             => $from->version,
            'random_id'     => $trolling
        ];

        // Запрос
        self::request(self::METHOD, $params, $from->getBrowser());
    }

    public static function get()
    {
    }

    public static function delete()
    {
    }
}
