<?php

declare(strict_types=1);

namespace VK\Robots;

use VK\Browsers\BrowserAbstract;
use VK\Parsers\Curl;
use Exception;
use VK\API\LongPoll;

/**
 * Робот: "Группа"
 * 
 * Класс реализовывающий работу от лица группы ВКонтакте
 * 
 * @package Robots
 * @author Arsen Mirzaev
 */
class Group extends RobotAbstract
{
    /**
     * ВКонтакте: тип API
     * 
     * @var string
     */
    public string $api;

    /**
     * ВКонтакте: активатор мобильной версии
     *
     * @var bool
     */
    //protected bool $mobile = false;

    /**
     * ВКонтакте: идентификатор капчи
     * 
     * @var int
     */
    //protected int $captcha;

    public function postMethod($method, $params = []): BrowserAbstract
    {
        $browser = __NAMESPACE__ . '\\Browsers\\' . ucfirst($_ENV['BROWSER_TYPE']);
        return (new $browser)->post();
    }

    public function longpoll(...$params): LongPoll
    {
        return new LongPoll($this, $params);
    }

    public function callback()
    {
        return new CallBack($this, $params);
    }

    protected function genToken(): string
    {
        return 'test';
    }
    protected function genTokenMobile(string $captcha_key, int $captcha_id): string
    {
        return 'test 2';
    }
}
